<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PJ\Blocks;

use Schaffen\SerasaRemessa\Http\Advanced\PJ\SubTypes\NXXX\SubTypeN200_00;
use Schaffen\SerasaRemessa\Http\Advanced\PJ\SubTypes\NXXX\SubTypeN200_01;
use Schaffen\SerasaRemessa\Utils\Record;

class RegN200 extends Record {
    public $subtypeInstance;

    public function __construct($values = null, $blockCodeSubType = null) {
        switch ($blockCodeSubType) {
            case '00':
                $this->subtypeInstance = new SubTypeN200_00($values);
                break;
            case '01':
                $this->subtypeInstance = new SubTypeN200_01($values);
                break;
            default:
                $this->subtypeInstance = new SubTypeN200_00($values);
                break;
        }
    }

    public function getValues() {
        return $this->subtypeInstance->getValues();
    }

}