<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PJ\Blocks;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class RegB006 extends Record {
    /**
     * @var array Lista de colunas esperadas para o bloco
     */   
    protected $templateColumns = [
        [
            "name" => "type_rule",
            "position" => "1",
            "size" => "4",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "enterprise",
            "position" => "5",
            "size" => "40",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "since",
            "position" => "45",
            "size" => "6",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "coin_type",
            "position" => "51",
            "size" => "3",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "profession",
            "position" => "54",
            "size" => "30",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "role",
            "position" => "84",
            "size" => "20",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "filler_1",
            "position" => "104",
            "size" => "12",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
    ];

    public function __construct($values = null) {
        $this->createColumns();
    }
}